Bug 1638554 - abipkgdiff: abg-comp-filter.cc:902: bool abigail::comparison::filtering::is_mostly_distinct_diff(const abigail::comparison::diff*): Assertion `td' failed.
Summary: abipkgdiff: abg-comp-filter.cc:902: bool abigail::comparison::filtering::is_m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libabigail
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sinny Kumari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-11 21:53 UTC by Orion Poplawski
Modified: 2019-01-15 03:36 UTC (History)
3 users (show)

Fixed In Version: libabigail-1.5-3.fc28 libabigail-1.5-2.fc29 libabigail-1.5-2.el6 libabigail-1.5-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 01:53:04 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2018-10-11 21:53:24 UTC
Description of problem:

From https://taskotron.fedoraproject.org/artifacts/all/43e7fc5a-cd9d-11e8-b7af-525400fc9f92/tests.yml/GMT-5.4.4-3.fc28.log

On x86_64 architecture
*************************

* Following error encountered while running command abipkgdiff --dso-only --d1 /var/tmp/task-dist.abicheck_U2HFSz/stable/GMT-debuginfo-5.4.2-4.fc28.x86_64.rpm --d2 /var/tmp/task-dist.abicheck_U2HFSz/update/GMT-debuginfo-5.4.4-3.fc28.x86_64.rpm --devel1 /var/tmp/task-dist.abicheck_U2HFSz/stable/GMT-devel-5.4.2-4.fc28.x86_64.rpm --devel2 /var/tmp/task-dist.abicheck_U2HFSz/update/GMT-devel-5.4.4-3.fc28.x86_64.rpm /var/tmp/task-dist.abicheck_U2HFSz/stable/GMT-5.4.2-4.fc28.x86_64.rpm /var/tmp/task-dist.abicheck_U2HFSz/update/GMT-5.4.4-3.fc28.x86_64.rpm :
 abipkgdiff: abg-comp-filter.cc:902: bool abigail::comparison::filtering::is_mostly_distinct_diff(const abigail::comparison::diff*): Assertion `td' failed.

Comment 1 Dodji Seketeli 2018-10-18 09:13:03 UTC
I can indeed reproduce the issue and I am looking into it.  Thank you for reporting this issue and sorry for the inconvenience.

Comment 2 Dodji Seketeli 2018-10-18 14:57:04 UTC
Btw, this seems like a duplicate of https://sourceware.org/bugzilla/show_bug.cgi?id=23618.

Comment 3 Dodji Seketeli 2018-10-18 15:20:33 UTC
This bug should now be fixed by commit https://sourceware.org/git/gitweb.cgi?p=libabigail.git;a=commit;h=635cf36afa971bc8d119ec8f5b692f1e57f8c915 in the master branch of the upstream git repository.

The fix should be available in the upcoming 1.5 release.

Comment 4 Fedora Update System 2018-10-26 15:45:42 UTC
libabigail-1.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f4100b6dc5

Comment 5 Fedora Update System 2018-10-26 15:55:31 UTC
libabigail-1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4b1fb85966

Comment 6 Fedora Update System 2018-10-27 17:04:33 UTC
libabigail-1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4b1fb85966

Comment 7 Fedora Update System 2018-10-27 17:19:13 UTC
libabigail-1.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f4100b6dc5

Comment 8 Fedora Update System 2018-10-29 10:19:45 UTC
libabigail-1.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5a3f89a24

Comment 9 Fedora Update System 2018-10-29 10:39:45 UTC
libabigail-1.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39ac89021d

Comment 10 Fedora Update System 2018-10-29 10:57:28 UTC
libabigail-1.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2d27f4d2dd

Comment 11 Fedora Update System 2018-10-31 17:30:06 UTC
libabigail-1.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-39ac89021d

Comment 12 Fedora Update System 2018-10-31 18:50:57 UTC
libabigail-1.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5a3f89a24

Comment 13 Fedora Update System 2018-10-31 19:45:20 UTC
libabigail-1.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2d27f4d2dd

Comment 14 Fedora Update System 2018-11-12 16:25:07 UTC
libabigail-1.5-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-efb3b7ed30

Comment 15 Fedora Update System 2018-11-12 16:25:29 UTC
libabigail-1.5-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-68948f40f0

Comment 16 Fedora Update System 2018-11-12 16:26:03 UTC
libabigail-1.5-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a3250d233e

Comment 17 Fedora Update System 2018-11-12 16:26:35 UTC
libabigail-1.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-95aca05efb

Comment 18 Fedora Update System 2018-11-13 03:35:36 UTC
libabigail-1.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-95aca05efb

Comment 19 Fedora Update System 2018-11-13 04:07:34 UTC
libabigail-1.5-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-68948f40f0

Comment 20 Fedora Update System 2018-11-13 04:49:37 UTC
libabigail-1.5-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-efb3b7ed30

Comment 21 Fedora Update System 2018-11-13 05:01:23 UTC
libabigail-1.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a3250d233e

Comment 22 Fedora Update System 2019-01-15 01:53:04 UTC
libabigail-1.5-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-01-15 02:33:04 UTC
libabigail-1.5-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-01-15 03:36:11 UTC
libabigail-1.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-01-15 03:36:19 UTC
libabigail-1.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.